## org.bn.compiler.parser.model
Class AsnBitOrOctetStringValue

    java.lang.Object
      org.bn.compiler.parser.model.AsnBitOrOctetStringValue

    public class AsnBitOrOctetStringValue

extends java.lang.Object

Field Summary
`java.lang.String` `bhStr`
`java.util.ArrayList` `idlist`
`boolean` `isBString`
`boolean` `isHString`

Constructor Summary
`AsnBitOrOctetStringValue()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bhStr

    public java.lang.String bhStr

### idlist

    public java.util.ArrayList idlist

### isBString

    public boolean isBString

### isHString

    public boolean isHString

Constructor Detail

### AsnBitOrOctetStringValue

    public AsnBitOrOctetStringValue()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`